Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 176480 - mythtv: patch to allow the internal DVD player to output multi-channel sound is not applied
Summary: mythtv: patch to allow the internal DVD player to output multi-channel sound ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Television related Applications in Gentoo's Portage
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-04-29 17:38 UTC by Oliver Lupton
Modified: 2008-06-02 15:19 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Lupton 2007-04-29 17:38:06 UTC
The patch to enable multi-channel sound output in MythTV ( http://svn.mythtv.org/trac/ticket/1104 ) is not applied by the mythtv ebuilds. Could this be added, possibly as an optional feature, for the period up to it being applied upstream?

Reproducible: Always

Steps to Reproduce:
1. Setup analogue output to multi-channel speakers with ALSA.
2. Play a multichannel DVD

Actual Results:  
No surround output

Expected Results:  
Output to the alsa surround51 device, or otherwise as configured
Comment 1 Doug Goldstein gentoo-dev 2008-04-25 14:27:33 UTC
Have you discussed backporting this to 0.21 with the MythTV developers? As per their requests, we're not applying any patches to the build and are merely using svn checkouts.
Comment 2 Doug Goldstein gentoo-dev 2008-06-02 15:19:42 UTC
This is fixed in 0.21. I have no idea what I was thinking.